import request from '@/config/axios'

// 检验方案 VO
export interface ZjSchemaVO {
  id: number
  type: string
  name: string
  remark: string
  sampleMethod: string
  val: string
  item: string
}

// 检验方案 API
export const ZjSchemaApi = {
  // 查询检验方案分页
  getZjSchemaPage: async (params: any) => {
    return await request.get({ url: `/mes/zj-schema/page`, params })
  },

  // 查询检验方案列表
  getZjSchemaList: async (params?: any) => {
    return await request.get({ url: `/mes/zj-schema/list`, params })
  },

  // 查询检验方案详情
  getZjSchema: async (id: number) => {
    return await request.get({ url: `/mes/zj-schema/get?id=` + id })
  },

  // 新增检验方案
  createZjSchema: async (data: ZjSchemaVO) => {
    return await request.post({ url: `/mes/zj-schema/create`, data })
  },

  // 修改检验方案
  updateZjSchema: async (data: ZjSchemaVO) => {
    return await request.put({ url: `/mes/zj-schema/update`, data })
  },

  // 删除检验方案
  deleteZjSchema: async (id: number) => {
    return await request.delete({ url: `/mes/zj-schema/delete?id=` + id })
  },

  // 导出检验方案 Excel
  exportZjSchema: async (params) => {
    return await request.download({ url: `/mes/zj-schema/export-excel`, params })
  },

  getItemList: async (id: number) => {
    return await request.get({ url: `/mes/zj-schema/getItemList?id=` + id })
  },
}
